MoreTextInternal::OutlineMod Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MoreTextInternal::OutlineMod Struct Reference

Internal and low level: the outline modifier header of a MoreText. More...

## Public Member Functions
| OutlineMod ()
| constructor More...
int | getModId () const
| returns the data id to change in Outline More...

## Public Attributes
int | m_type
| the type More...
int | m_flags
| the flag More...
MWAWEntry | m_entry
| the data entry More...
int | m_unknowns [2]
| some unknown flags More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, OutlineMod const &head)
| operator<< More...

## Detailed Description

Internal and low level: the outline modifier header of a MoreText.

## Constructor & Destructor Documentation

## ◆ OutlineMod()

MoreTextInternal::OutlineMod::OutlineMod | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getModId()

int MoreTextInternal::OutlineMod::getModId | ( |  | ) | const
| inline

returns the data id to change in Outline

Referenced by MoreText::readOutline().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | OutlineMod const & | head
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_entry

MWAWEntry MoreTextInternal::OutlineMod::m_entry

the data entry

Referenced by MoreText::readOutline().

## ◆ m_extra

std::string MoreTextInternal::OutlineMod::m_extra

extra data

Referenced by MoreText::readOutline().

## ◆ m_flags

int MoreTextInternal::OutlineMod::m_flags

the flag

Referenced by MoreText::readOutline().

## ◆ m_type

int MoreTextInternal::OutlineMod::m_type

the type

Referenced by MoreText::readOutline().

## ◆ m_unknowns

int MoreTextInternal::OutlineMod::m_unknowns[2]

some unknown flags

Referenced by MoreText::readOutline().

The documentation for this struct was generated from the following file:

- MoreText.cxx